Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.taglib
Class RenderTagLib

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.taglib.RenderTagLib

All Implemented Interfaces:
  com.opensymphony.module.sitemesh.RequestConstants, groovy.lang.GroovyObject

    public class RenderTagLib

extends Object
implements com.opensymphony.module.sitemesh.RequestConstants, groovy.lang.GroovyObject

Field Summary

Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants
`DECORATOR, PAGE, ROBOT`

Constructor Summary
`RenderTagLib()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`Object` | `getApplyLayout()`
`GroovyPagesTemplateEngine` | `getGroovyPagesTemplateEngine()`
`Object` | `getIfPageProperty()`
`Object` | `getInclude()`
`Object` | `getLayoutBody()`
`Object` | `getLayoutHead()`
`Object` | `getLayoutTitle()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getOut()`
`protected Object` | `getPage()`
`Object` | `getPageProperty()`
`Object` | `getPaginate()`
`GrailsPluginManager` | `getPluginManager()`
`Object` | `getProperty(String property)`
`Object` | `getRender()`
`ServletConfig` | `getServletConfig()`
`Object` | `getSortableColumn()`
`static Map` | `getTEMPLATE_CACHE()`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `setApplyLayout(Object value)`
`void` | `setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine value)`
`void` | `setIfPageProperty(Object value)`
`void` | `setInclude(Object value)`
`void` | `setLayoutBody(Object value)`
`void` | `setLayoutHead(Object value)`
`void` | `setLayoutTitle(Object value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setOut(Object value)`
`void` | `setPageProperty(Object value)`
`void` | `setPaginate(Object value)`
`void` | `setPluginManager(GrailsPluginManager value)`
`void` | `setProperty(String property, Object value)`
`void` | `setRender(Object value)`
`void` | `setServletConfig(ServletConfig value)`
`void` | `setSortableColumn(Object value)`
`static void` | `setTEMPLATE_CACHE(Map value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderTagLib

    public RenderTagLib()

Method Detail

### getOut

    public Object getOut()

### setOut

    public void setOut(Object value)

### getServletConfig

    public ServletConfig getServletConfig()

### setServletConfig

    public void setServletConfig(ServletConfig value)

### getGroovyPagesTemplateEngine

    public GroovyPagesTemplateEngine getGroovyPagesTemplateEngine()

### setGroovyPagesTemplateEngine

    public void setGroovyPagesTemplateEngine(GroovyPagesTemplateEngine value)

### getPluginManager

    public GrailsPluginManager getPluginManager()

### setPluginManager

    public void setPluginManager(GrailsPluginManager value)

### getTEMPLATE_CACHE

    public static Map getTEMPLATE_CACHE()

### setTEMPLATE_CACHE

    public static void setTEMPLATE_CACHE(Map value)

### getInclude

    public Object getInclude()

### setInclude

    public void setInclude(Object value)

### getApplyLayout

    public Object getApplyLayout()

### setApplyLayout

    public void setApplyLayout(Object value)

### getPageProperty

    public Object getPageProperty()

### setPageProperty

    public void setPageProperty(Object value)

### getIfPageProperty

    public Object getIfPageProperty()

### setIfPageProperty

    public void setIfPageProperty(Object value)

### getLayoutTitle

    public Object getLayoutTitle()

### setLayoutTitle

    public void setLayoutTitle(Object value)

### getLayoutBody

    public Object getLayoutBody()

### setLayoutBody

    public void setLayoutBody(Object value)

### getLayoutHead

    public Object getLayoutHead()

### setLayoutHead

    public void setLayoutHead(Object value)

### getPaginate

    public Object getPaginate()

### setPaginate

    public void setPaginate(Object value)

### getSortableColumn

    public Object getSortableColumn()

### setSortableColumn

    public void setSortableColumn(Object value)

### getRender

    public Object getRender()

### setRender

    public void setRender(Object value)

### getPage

    protected Object getPage()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project